Bug 459857 - epydoc --graph option failing because no GIF support in Graphviz (broken pipe)
epydoc --graph option failing because no GIF support in Graphviz (broken pipe)
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: epydoc (Show other bugs)
rawhide
i686 Linux
medium Severity high
: ---
: ---
Assigned To: Matthias Saou
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-08-22 23:08 EDT by Risto Kankkunen
Modified: 2008-12-22 14:25 EST (History)
1 user (show)

See Also:
Fixed In Version: 3.0.1-3
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-12-22 14:25:20 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Replace hard-coded 'gif' type with hard-coded 'png' type in Epydoc (2.92 KB, patch)
2008-08-22 23:08 EDT, Risto Kankkunen
no flags Details | Diff
Implement conversion to .png output in F-9 spec file (6.73 KB, patch)
2008-11-17 16:32 EST, Dwayne Bailey
no flags Details | Diff

  None (edit)
Description Risto Kankkunen 2008-08-22 23:08:51 EDT
Created attachment 314853 [details]
Replace hard-coded 'gif' type with hard-coded 'png' type in Epydoc

Description of problem:
Epydoc asks Graphviz to create GIF images, but the Fedora version of Graphviz doesn't seem to support that format and aborts with an error message. Epydoc is not prepared for this.

Epydoc on Fedora should use one of the supported image formats of Fedora's version of Graphviz.

It would also be nice, if the upstream would support selection of the image format via a configuration option rather that hard-coding the format.

Version-Release number of selected component (if applicable):
epydoc-3.0.1-1.fc9.noarch
graphviz-2.16.1-0.5.fc9.i386

How reproducible:

Install epydoc and try it on a Python project source directory with the --graph option. Observe the warning messages during each run.

Steps to Reproduce:
1. epydoc -o epydoc --graph all --inheritance=grouped mercurial/
  
Actual results:
Multitude of messages like:

  Warning: Unable to render Graphviz dot graph:
           [Errno 32] Broken pipe

and

  Warning: Unable to render Graphviz dot graph:
           dot failed

and no Graphviz generated output in the destination directory.

Expected results:
Successfully generated epydoc documentation with class, call and UML graphs

Additional info:
I fixed the problem locally by replacing 'gif' with 'png' in the Epydoc code, see the attached patch.
Comment 1 Dwayne Bailey 2008-11-17 16:00:24 EST
I couldn't wait so I build an RPM:
http://koji.fedoraproject.org/koji/taskinfo?taskID=937047
Comment 2 Dwayne Bailey 2008-11-17 16:27:12 EST
(In reply to comment #1)
> I couldn't wait so I build an RPM:
> http://koji.fedoraproject.org/koji/taskinfo?taskID=937047

I broke that one please try:
http://koji.fedoraproject.org/koji/taskinfo?taskID=937052
Comment 3 Dwayne Bailey 2008-11-17 16:32:06 EST
Created attachment 323805 [details]
Implement conversion to .png output in F-9 spec file

This patch implements the needed change to use .png, following the previous patch exactly.  I bumped the number up to ease installation.  I'm in no way attached to the patch so feel free to implement it as needed.  This fixed the production of graphs for me.
Comment 4 Matthias Saou 2008-12-22 14:25:20 EST
This all looks good. I've included a cleaned up version of the patch in devel.

Note You need to log in before you can comment on or make changes to this bug.